创建 windowsInformationProtectionWipeAction
命名空间:microsoft.graph
重要:/beta 版本下的 Microsoft Graph API 可能会发生更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 windowsInformationProtectionWipeAction 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All、DeviceManagementApps.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| Application | DeviceManagementConfiguration.ReadWrite.All、DeviceManagementApps.ReadWrite.All |
HTTP 请求
POST /deviceAppManagement/windowsInformationProtectionWipeActions
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,为 windowsInformationProtectionWipeAction 对象提供 JSON 表示形式。
下表显示了创建 windowsInformationProtectionWipeAction 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | 字符串 | 实体的键。 |
| 状态 | actionState | 擦除操作状态。 可取值为:none、pending、canceled、active、done、failed 或 notSupported。 |
| targetedUserId | String | 此擦除操作的目标 UserId。 |
| targetedDeviceRegistrationId | String | 此擦除操作的目标 DeviceRegistrationId。 |
| targetedDeviceName | String | 目标设备名称。 |
| targetedDeviceMacAddress | 字符串 | 目标设备 Mac 地址。 |
| lastCheckInDateTime | DateTimeOffset | 此擦除操作所针对的设备的最后一次检查时间。 |
响应
如果成功,此方法在响应正文中返回 201 Created 响应代码和 windowsInformationProtectionWipeAction 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceAppManagement/windowsInformationProtectionWipeActions
Content-type: application/json
Content-length: 412
{
"@odata.type": "#microsoft.graph.windowsInformationProtectionWipeAction",
"status": "pending",
"targetedUserId": "Targeted User Id value",
"targetedDeviceRegistrationId": "Targeted Device Registration Id value",
"targetedDeviceName": "Targeted Device Name value",
"targetedDeviceMacAddress": "Targeted Device Mac Address value",
"lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 461
{
"@odata.type": "#microsoft.graph.windowsInformationProtectionWipeAction",
"id": "2620a996-a996-2620-96a9-202696a92026",
"status": "pending",
"targetedUserId": "Targeted User Id value",
"targetedDeviceRegistrationId": "Targeted Device Registration Id value",
"targetedDeviceName": "Targeted Device Name value",
"targetedDeviceMacAddress": "Targeted Device Mac Address value",
"lastCheckInDateTime": "2016-12-31T23:59:56.413532-08:00"
}
反馈
提交和查看相关反馈